Loading...
Searching...
No Matches
Dune::VirtualRefinement< dimension, CoordType >::SubEntityIteratorBack< dimension, CoordType > Class Template Referenceabstract
Inheritance diagram for Dune::VirtualRefinement< dimension, CoordType >::SubEntityIteratorBack< dimension, CoordType >:

## Public Types

typedef VirtualRefinement< dimension, CoordType > | Refinement
typedef Refinement::template SubEntityIteratorBack< codimension > | This
typedef Refinement::CoordVector | CoordVector

## Public Member Functions

virtual | ~SubEntityIteratorBack ()
virtual This * | clone () const =0
virtual bool | operator== (const This &other) const =0
virtual This & | operator++ ()=0
virtual int | index () const =0
virtual CoordVector | coords () const =0

## Member Typedef Documentation

## CoordVector

template<int dimension, class CoordType>
template<int dimension, class CoordType>

typedef Refinement::CoordVector Dune::VirtualRefinement< dimension, CoordType >::SubEntityIteratorBack< dimension, CoordType >::CoordVector

## Refinement

template<int dimension, class CoordType>
template<int dimension, class CoordType>

typedef VirtualRefinement<dimension, CoordType> Dune::VirtualRefinement< dimension, CoordType >::SubEntityIteratorBack< dimension, CoordType >::Refinement

## This

template<int dimension, class CoordType>
template<int dimension, class CoordType>

typedef Refinement::template SubEntityIteratorBack<codimension> Dune::VirtualRefinement< dimension, CoordType >::SubEntityIteratorBack< dimension, CoordType >::This

## Constructor & Destructor Documentation

## ~SubEntityIteratorBack()

template<int dimension, class CoordType>
template<int dimension, class CoordType>

virtual Dune::VirtualRefinement< dimension, CoordType >::SubEntityIteratorBack< dimension, CoordType >::~SubEntityIteratorBack | ( |  | ) |

inline virtual

## Member Function Documentation

## clone()

template<int dimension, class CoordType>
template<int dimension, class CoordType>

virtual This * Dune::VirtualRefinement< dimension, CoordType >::SubEntityIteratorBack< dimension, CoordType >::clone | ( |  | ) | const

pure virtual

## coords()

template<int dimension, class CoordType>
template<int dimension, class CoordType>

virtual CoordVector Dune::VirtualRefinement< dimension, CoordType >::SubEntityIteratorBack< dimension, CoordType >::coords | ( |  | ) | const

pure virtual

## index()

template<int dimension, class CoordType>
template<int dimension, class CoordType>

virtual int Dune::VirtualRefinement< dimension, CoordType >::SubEntityIteratorBack< dimension, CoordType >::index | ( |  | ) | const

pure virtual

## operator++()

template<int dimension, class CoordType>
template<int dimension, class CoordType>

virtual This & Dune::VirtualRefinement< dimension, CoordType >::SubEntityIteratorBack< dimension, CoordType >::operator++ | ( |  | ) |

pure virtual

## operator==()

template<int dimension, class CoordType>
template<int dimension, class CoordType>

virtual bool Dune::VirtualRefinement< dimension, CoordType >::SubEntityIteratorBack< dimension, CoordType >::operator== | ( | const This & | other | ) | const

pure virtual

The documentation for this class was generated from the following file:

- virtualrefinement.cc